Bug 76631

Summary: [GTK] DumpRenderTree converts "file:///" to a path differently
Product: WebKit Reporter: Philippe Normand <pnormand>
Component: WebKitGTKAssignee: Sergio Villar Senin <svillar>
Status: RESOLVED FIXED    
Severity: Normal CC: ap, svillar
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 76496    
Attachments:
Description Flags
Patch none

Description Philippe Normand 2012-01-19 07:11:07 PST
two test failures:

--- /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/http/tests/misc/drag-over-iframe-invalid-source-crash-expected.txt 
+++ /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/http/tests/misc/drag-over-iframe-invalid-source-crash-actual.txt 
@@ -1,4 +1,4 @@
-CONSOLE MESSAGE: Not allowed to load local resource: /
+CONSOLE MESSAGE: Not allowed to load local resource: 
 This page tests that we don't crash if we drag something to an iframe that has an invalid source.
 

--- /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/http/tests/misc/iframe-invalid-source-crash-expected.txt 
+++ /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/http/tests/misc/iframe-invalid-source-crash-actual.txt 
@@ -1,3 +1,3 @@
-CONSOLE MESSAGE: Not allowed to load local resource: /
+CONSOLE MESSAGE: Not allowed to load local resource: 
  This tests that we don't crash if an iframe has an invalid source.
 SUCCESS - didn't crash
Comment 1 Alexey Proskuryakov 2012-01-19 11:58:30 PST
Fixing the same for WK2 in bug 76653.
Comment 2 Sergio Villar Senin 2012-01-21 03:48:19 PST
Created attachment 123444 [details]
Patch
Comment 3 Sergio Villar Senin 2012-01-22 02:12:17 PST
Comment on attachment 123444 [details]
Patch

Clearing flags on attachment: 123444

Committed r105587: <http://trac.webkit.org/changeset/105587>
Comment 4 Sergio Villar Senin 2012-01-22 02:12:24 PST
All reviewed patches have been landed.  Closing bug.